Bug 294679 - Need a way to unblock contacts
Summary: Need a way to unblock contacts
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: git-latest
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-23 12:03 UTC by Daniele E. Domenichelli
Modified: 2012-07-06 12:47 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2012-02-23 12:03:29 UTC
We should have an ui showing blocked contacts that allows you to unblock them
Comment 1 Martin Klapetek 2012-02-23 12:20:46 UTC
Contact unblocking is supported in contact list, however marking the contacts as blocked is not. So we need a way to mark them as such in contact list. DrDanz suggests filtering them out. Still needs marking though.
Comment 2 Dominik Cermak 2012-04-19 12:05:45 UTC
I have an idea for this one, will post on RB soon.
Comment 3 Dominik Cermak 2012-05-05 15:36:28 UTC
commit 31e7faffe1adcf96ed1d55e6f0e65a78dd86a3cf
Author: Dominik Cermak <d.cermak@arcor.de>
Date:   Sat May 5 15:05:38 2012 +0200

    Make it possible to filter for blocked/unblocked contacts
    
    This adds a submenu to the wrench-button-menu where you can set which
    contacts should be shown:
     * Show all contacts [that's how it was up until now]
     * Show unblocked contacts [default]
     * Show blocked contacts